=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,8 +72,11 @@
     KF5::I18n
     KF5::XmlGui
     KF5::WidgetsAddons
-    Qt::Svg
+    Qt${QT_MAJOR_VERSION}::Svg
 )
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(konquest Qt6::StateMachine)
+endif()
 
 install(TARGETS konquest  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
