=== src/CMakeLists.txt ===
--- 
+++ 
@@ -63,15 +63,20 @@
 file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-konquest.png")
 ecm_add_app_icon(konquest ICONS ${ICONS_SRCS})
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(konquest KDEGames6)
+else()
+    target_link_libraries(konquest KF5KDEGames)
+endif()
+
 target_link_libraries(konquest
-    KF5KDEGames
-    KF5::CoreAddons
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::GuiAddons
-    KF5::I18n
-    KF5::XmlGui
-    KF5::WidgetsAddons
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::GuiAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::WidgetsAddons
     Qt${QT_MAJOR_VERSION}::Svg
 )
 if (QT_MAJOR_VERSION STREQUAL "6")
